%define oname		osinfo

%define api		1.0
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	1.0
%define girname		%mklibname %{oname}-gir %{girmajor}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{girmajor}

%define _exclude_files_from_autoreq ^%{_datadir}/doc/%{develname}/demo.*$

Summary:	A library for managing OS information for virtualization
Name:		libosinfo
Version:	0.2.7
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source:		https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.gz
Source1:	mageia.xml
URL:		https://fedorahosted.org/libosinfo/
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxslt)
# tests require xmllint:
BuildRequires:	libxml2-utils
Requires:	udev

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.


%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Libraries

%description common
Platform-independent files for the "%{libname}" library

%files common -f %name.lang
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-query
%{_bindir}/osinfo-db-validate
%{_bindir}/osinfo-install-script
%dir %{_datadir}/libosinfo/
%dir %{_datadir}/libosinfo/db/
%dir %{_datadir}/libosinfo/db/datamaps/
%dir %{_datadir}/libosinfo/schemas/
%{_datadir}/libosinfo/db/usb.ids
%{_datadir}/libosinfo/db/pci.ids
%{_datadir}/libosinfo/db/devices
%{_datadir}/libosinfo/db/oses
%{_datadir}/libosinfo/db/hypervisors
%{_datadir}/libosinfo/db/install-scripts
%{_datadir}/libosinfo/db/datamaps/windows-lang.xml
%{_datadir}/libosinfo/db/datamaps/x11-keyboard.xml
%{_datadir}/libosinfo/schemas/libosinfo.rng
/lib/udev/rules.d/95-osinfo.rules
%{_mandir}/man1/osinfo-db-validate.1.*
%{_mandir}/man1/osinfo-detect.1.*
%{_mandir}/man1/osinfo-query.1.*
%{_mandir}/man1/osinfo-install-script.1.*

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{mklibname %{oname} %{major}} = %{version}-%{release}

%description -n %{libname}
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %version-%release
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%doc examples/demo.js
%doc examples/demo.py
%{_libdir}/%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/
%dir %{_includedir}/%{name}-%{api}/osinfo/
%{_includedir}/%{name}-%{api}/osinfo/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/Libosinfo-%{api}.gir
%{_datadir}/gtk-doc/html/Libosinfo
%{_datadir}/vala/vapi/libosinfo-1.0.vapi

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Libosinfo-%{girmajor}.typelib

%prep
%setup -q

%build
%configure2_5x --enable-introspection=yes --enable-vala=yes --enable-udev=yes --disable-static
%make V=1

chmod a-x examples/*.js examples/*.py

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/libosinfo/db/oses/

%find_lang %name

%check
make check


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-2.mga4
+ Revision: 523836
- Mageia 4 Mass Rebuild

* Sat May 25 2013 blino <blino> 0.2.7-1.mga4
+ Revision: 427655
- package datamaps files
- package lang files
- 0.2.7

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 357938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.2.1-1.mga3
+ Revision: 316302
- new version 0.2.1

* Tue Sep 11 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 292442
- update file list
- br libxslt
- new version 0.2.0

* Sun Sep 02 2012 fwang <fwang> 0.1.2-3.mga3
+ Revision: 287254
+ rebuild (emptylog)

* Sun Sep 02 2012 fwang <fwang> 0.1.2-2.mga3
+ Revision: 287215
- add mageia distro

* Thu Aug 16 2012 fedya <fedya> 0.1.2-1.mga3
+ Revision: 281499
- version update 0.1.2

* Tue May 29 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 249210
- update file list
- update buildrequires
- update buildrequires
- new version 0.1.1

* Wed Feb 08 2012 ovitters <ovitters> 0.1.0-1.mga2
+ Revision: 206368
- new version

* Mon Jan 16 2012 ovitters <ovitters> 0.0.5-1.mga2
+ Revision: 196942
- new version 0.0.5

* Sat Dec 17 2011 ovitters <ovitters> 0.0.3-1.mga2
+ Revision: 183049
- new version 0.0.3

* Thu Dec 01 2011 fwang <fwang> 0.0.2-2.mga2
+ Revision: 174689
- exclude req for demo files

* Wed Nov 30 2011 ovitters <ovitters> 0.0.2-1.mga2
+ Revision: 174375
- fix spec
- imported package libosinfo

